GetSecurityRequirementPack
Retrieves information about a security requirement pack.
Request Syntax
POST /GetSecurityRequirementPack HTTP/1.1
Content-type: application/json
{
"packId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- packId
-
The unique identifier of the security requirement pack to retrieve.
Type: String
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"createdAt": "string",
"description": "string",
"importStatus": "string",
"kmsKeyId": "string",
"managementType": "string",
"name": "string",
"packId": "string",
"status": "string",
"updatedAt": "string",
"vendorName": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- createdAt
-
The date and time the security requirement pack was created, in UTC format.
Type: Timestamp
- description
-
A description of the security requirement pack.
Type: String
- importStatus
-
The status of the security requirements import workflow for this pack.
Type: String
Valid Values:
PENDING | IN_PROGRESS | FAILED | COMPLETED - kmsKeyId
-
The identifier of the AWS KMS key used to encrypt pack contents.
Type: String
- managementType
-
The management type of the pack. Valid values are AWS_MANAGED and CUSTOMER_MANAGED.
Type: String
Valid Values:
AWS_MANAGED | CUSTOMER_MANAGED - name
-
The name of the security requirement pack.
Type: String
- packId
-
The unique identifier of the security requirement pack.
Type: String
- status
-
The status of the security requirement pack.
Type: String
Valid Values:
ENABLED | DISABLED - updatedAt
-
The date and time the security requirement pack was last updated, in UTC format.
Type: Timestamp
- vendorName
-
The vendor name for AWS managed packs, such as ISO or NIST.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
- message
-
Error description.
HTTP Status Code: 403
- InternalServerException
-
An unexpected error occurred during the processing of your request.
- message
-
Error description.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.
- message
-
Error description.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- message
-
Error description.
- quotaCode
-
Quota code for throttling limit.
- serviceCode
-
Service code for throttling limit.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
- fieldList
-
A list of specific failures encountered during validation.
- message
-
A summary of the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: